Static variables

A field declared with the static modifier is called a static variable. A static variable comes into existence before execution of the static constructor (17.11) for its containing type, and ceases to exist when the associated application domain ceases to exist..
The initial value of a static variable is the default value (12.2) of the variable's type.
For the purposes of definite assignment checking, a static variable is considered initially assigned.